/******************************************************************
 * s1c176xx.h
 *
 * S1C176xx series machine type different definition
 *
 * Copyright(C) SEIKO EPSON CORPORATION 2009. All rights Reserved.
 *****************************************************************/

#ifndef S1C176XX_H_
#define S1C176XX_H_

#ifdef	S1C17602
#include	<s1c17602_peripheral.h>
#define	IOSC_CLK		2700000		// IOSC clock(2.7MHz)
#define	OSC1_CLK		32768		// OSC1 clock(32.768Hz)
#define	OSC3_CLK		8000000		// OSC3 clock(8.0MHz)
#elif S1C17601
#include	<s1c17601_peripheral.h>
#define	IOSC_CLK		2700000		// IOSC clock(2.7MHz)
#define	OSC1_CLK		32768		// OSC1 clock(32.768Hz)
#define	OSC3_CLK		8000000		// OSC3 clock(8.0MHz)
#elif S1C17611
#include	<s1c17611_peripheral.h>
#define	IOSC_CLK		2700000		// IOSC clock(2.7MHz)
#define	OSC1_CLK		32768		// OSC1 clock(32.768Hz)
#define	OSC3_CLK		8000000		// OSC3 clock(8.0MHz)
#endif


#endif	// end of S1C176XX_H_
